Latest 0.1.4
Homepage https://github.com/bartekzabicki/Unicorns
License MIT
Platforms ios 10.0
Authors

CI Status
Version
License
Platform

Example

To run the example project, clone the repo, and run pod install from the Example directory first.

Requirements

Installation

Unicorns is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod 'Unicorns'

to fully enjoy @IBDesignable classes, you should also add at the end of your Podfile:

post_install do |installer|
  installer.pods_project.build_configurations.each do |config|
    config.build_settings.delete('CODE_SIGNING_ALLOWED')
    config.build_settings.delete('CODE_SIGNING_REQUIRED')
    end
end

To fully enjoy @IBDesignable classes you should also add folowing lines at the end of your Podfile:

post_install do |installer|
  installer.pods_project.build_configurations.each do |config|
    config.build_settings.delete('CODE_SIGNING_ALLOWED')
    config.build_settings.delete('CODE_SIGNING_REQUIRED')
  end
end

Author

bartekzabicki, [email protected]

License

Unicorns is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "Unicorns",
    "version": "0.1.4",
    "summary": "Simple yet useful set of extensions/helpers/controls.",
    "description": "This pod is a set of useful little thinks for swift that will make your life better ;)",
    "homepage": "https://github.com/bartekzabicki/Unicorns",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "bartekzabicki": "[email protected]"
    },
    "source": {
        "git": "https://github.com/bartekzabicki/Unicorns.git",
        "tag": "0.1.4"
    },
    "platforms": {
        "ios": "10.0"
    },
    "source_files": "Unicorns/Classes/**/*",
    "pod_target_xcconfig": {
        "SWIFT_VERSION": "4.0"
    }
}

Pin It on Pinterest

Share This